# Operations Managing operations. Includes CRUD and listing with time/version filters. ## Create Operation - [POST /v1/operations/](https://docs.adm.wearetransformers.nl/apis/schema/operations/v1_operations_create.md): Creates operation. ## Retrieve Operation - [GET /v1/operations/{id}/](https://docs.adm.wearetransformers.nl/apis/schema/operations/v1_operations_retrieve.md): Retrieves details of a specific operation by its UUID. ## Partially Update Operation - [PATCH /v1/operations/{id}/](https://docs.adm.wearetransformers.nl/apis/schema/operations/v1_operations_partial_update.md): Updates specific fields of an operation, such as its metadata or task details (which creates new task versions). ## Delete Operation - [DELETE /v1/operations/{id}/](https://docs.adm.wearetransformers.nl/apis/schema/operations/v1_operations_destroy.md): Soft-deletes an operation by marking its active state as deleted. ## Get assignment for this operation - [GET /v1/operations/{id}/assignment/](https://docs.adm.wearetransformers.nl/apis/schema/operations/v1_operations_assignment_retrieve.md): Returns the active assignment for the operation identified by pk. 404 if the operation is currently unassigned. ## Get task history for this operation - [GET /v1/operations/{id}/tasks/](https://docs.adm.wearetransformers.nl/apis/schema/operations/v1_operations_tasks_list.md): Extends WorkspaceMixin with serializer context for workspace-aware CRUD. ## Create Operations in bulk - [POST /v1/operations/bulk/](https://docs.adm.wearetransformers.nl/apis/schema/operations/v1_operations_bulk_create.md): Creates operations in bulk. ## Bulk partial update Operations - [PATCH /v1/operations/bulk/](https://docs.adm.wearetransformers.nl/apis/schema/operations/v1_operations_bulk_partial_update.md): Perform a bulk update for multiple operations. This endpoint is atomic; either all updates succeed or none do. ## Get all operations for a planning - [GET /v1/plannings/{id}/operations/](https://docs.adm.wearetransformers.nl/apis/schema/operations/v1_plannings_operations_list.md): List operations, optionally filtering by a time window. Query params: - start_timestamp / end_timestamp (Unix seconds, UTC). Both required to apply the window filter. - range_field (one of): • expectedTime95Interval → inbound p05 ≤ end AND outbound p95 ≥ start • expectedTime90Interval → inbound p10 ≤ end AND outbound p90 ≥ start • expectedTime → inbound expected ≤ end AND outbound expected ≥ start • scheduledTime → inbound scheduled ≤ end AND outbound scheduled ≥ start ## Search operations (simple) - [POST /v1/plannings/{id}/operations/search/](https://docs.adm.wearetransformers.nl/apis/schema/operations/v1_plannings_operations_search_create.md): Search within a planning by external_id.